#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './exampleoptionsbase.ui'
**
** Created: 2013-08-06T17:04:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "exampleoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <kurlrequester.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ExampleOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ExampleOptionsBase::ExampleOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ExampleOptionsBase" );
    ExampleOptionsBaseLayout = new QVBoxLayout( this, 11, 6, "ExampleOptionsBaseLayout"); 

    buttonGroup3 = new QButtonGroup( this, "buttonGroup3" );
    buttonGroup3->setColumnLayout(0, Qt::Vertical );
    buttonGroup3->layout()->setSpacing( 6 );
    buttonGroup3->layout()->setMargin( 11 );
    buttonGroup3Layout = new QVBoxLayout( buttonGroup3->layout() );
    buttonGroup3Layout->setAlignment( Qt::AlignTop );

    m_fileTagsButton = new QRadioButton( buttonGroup3, "m_fileTagsButton" );
    m_fileTagsButton->setChecked( FALSE );
    buttonGroup3Layout->addWidget( m_fileTagsButton );

    m_exampleFile = new KURLRequester( buttonGroup3, "m_exampleFile" );
    m_exampleFile->setEnabled( FALSE );
    m_exampleFile->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, m_exampleFile->sizePolicy().hasHeightForWidth() ) );
    m_exampleFile->setMode( 24 );
    buttonGroup3Layout->addWidget( m_exampleFile );

    m_manualTagsButton = new QRadioButton( buttonGroup3, "m_manualTagsButton" );
    m_manualTagsButton->setChecked( TRUE );
    buttonGroup3Layout->addWidget( m_manualTagsButton );

    m_manualGroup = new QGroupBox( buttonGroup3, "m_manualGroup" );
    m_manualGroup->setFlat( TRUE );
    m_manualGroup->setColumnLayout(0, Qt::Vertical );
    m_manualGroup->layout()->setSpacing( 6 );
    m_manualGroup->layout()->setMargin( 11 );
    m_manualGroupLayout = new QGridLayout( m_manualGroup->layout() );
    m_manualGroupLayout->setAlignment( Qt::AlignTop );

    m_exampleArtist = new QLineEdit( m_manualGroup, "m_exampleArtist" );

    m_manualGroupLayout->addWidget( m_exampleArtist, 1, 1 );

    m_exampleTitle = new QLineEdit( m_manualGroup, "m_exampleTitle" );

    m_manualGroupLayout->addWidget( m_exampleTitle, 0, 1 );

    m_exampleAlbum = new QLineEdit( m_manualGroup, "m_exampleAlbum" );

    m_manualGroupLayout->addWidget( m_exampleAlbum, 2, 1 );

    textLabel1 = new QLabel( m_manualGroup, "textLabel1" );

    m_manualGroupLayout->addWidget( textLabel1, 0, 0 );

    textLabel2 = new QLabel( m_manualGroup, "textLabel2" );

    m_manualGroupLayout->addWidget( textLabel2, 1, 0 );

    m_exampleYear = new QSpinBox( m_manualGroup, "m_exampleYear" );
    m_exampleYear->setMaxValue( 2006 );
    m_exampleYear->setMinValue( 1901 );
    m_exampleYear->setValue( 2004 );

    m_manualGroupLayout->addWidget( m_exampleYear, 5, 1 );

    textLabel3 = new QLabel( m_manualGroup, "textLabel3" );

    m_manualGroupLayout->addWidget( textLabel3, 2, 0 );

    textLabel4 = new QLabel( m_manualGroup, "textLabel4" );

    m_manualGroupLayout->addWidget( textLabel4, 3, 0 );

    textLabel5 = new QLabel( m_manualGroup, "textLabel5" );

    m_manualGroupLayout->addWidget( textLabel5, 4, 0 );

    m_exampleTrack = new QSpinBox( m_manualGroup, "m_exampleTrack" );
    m_exampleTrack->setValue( 1 );

    m_manualGroupLayout->addWidget( m_exampleTrack, 4, 1 );

    m_exampleGenre = new QLineEdit( m_manualGroup, "m_exampleGenre" );

    m_manualGroupLayout->addWidget( m_exampleGenre, 3, 1 );

    textLabel6 = new QLabel( m_manualGroup, "textLabel6" );

    m_manualGroupLayout->addWidget( textLabel6, 5, 0 );
    buttonGroup3Layout->addWidget( m_manualGroup );
    ExampleOptionsBaseLayout->addWidget( buttonGroup3 );
    languageChange();
    resize( QSize(308, 334).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_manualTagsButton, SIGNAL( toggled(bool) ), m_manualGroup, SLOT( setEnabled(bool) ) );
    connect( m_fileTagsButton, SIGNAL( toggled(bool) ), m_exampleFile, SLOT( setEnabled(bool) ) );
    connect( m_fileTagsButton, SIGNAL( stateChanged(int) ), this, SLOT( exampleSelectionChanged() ) );
    connect( m_manualTagsButton, SIGNAL( stateChanged(int) ), this, SLOT( exampleSelectionChanged() ) );
    connect( m_exampleTitle, SIGNAL( textChanged(const QString&) ), this, SLOT( exampleDataChanged() ) );
    connect( m_exampleArtist, SIGNAL( textChanged(const QString&) ), this, SLOT( exampleDataChanged() ) );
    connect( m_exampleAlbum, SIGNAL( textChanged(const QString&) ), this, SLOT( exampleDataChanged() ) );
    connect( m_exampleGenre, SIGNAL( textChanged(const QString&) ), this, SLOT( exampleDataChanged() ) );
    connect( m_exampleTrack, SIGNAL( valueChanged(int) ), this, SLOT( exampleDataChanged() ) );
    connect( m_exampleYear, SIGNAL( valueChanged(int) ), this, SLOT( exampleDataChanged() ) );

    // tab order
    setTabOrder( m_exampleFile, m_manualTagsButton );
    setTabOrder( m_manualTagsButton, m_exampleTitle );
    setTabOrder( m_exampleTitle, m_exampleArtist );
    setTabOrder( m_exampleArtist, m_exampleAlbum );
    setTabOrder( m_exampleAlbum, m_exampleGenre );
    setTabOrder( m_exampleGenre, m_exampleTrack );
    setTabOrder( m_exampleTrack, m_exampleYear );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ExampleOptionsBase::~ExampleOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ExampleOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Example" ) );
    buttonGroup3->setTitle( tr2i18n( "Example Tag Selection" ) );
    m_fileTagsButton->setText( tr2i18n( "Get example tags from this file:" ) );
    m_manualTagsButton->setText( tr2i18n( "Enter example tags manually:" ) );
    m_manualGroup->setTitle( tr2i18n( "Example Tags" ) );
    m_exampleArtist->setText( tr2i18n( "Artist" ) );
    m_exampleTitle->setText( tr2i18n( "Title" ) );
    m_exampleAlbum->setText( tr2i18n( "Album" ) );
    textLabel1->setText( tr2i18n( "Title:" ) );
    textLabel2->setText( tr2i18n( "Artist:" ) );
    textLabel3->setText( tr2i18n( "Album:" ) );
    textLabel4->setText( tr2i18n( "Genre:" ) );
    textLabel5->setText( tr2i18n( "Track number:" ) );
    m_exampleGenre->setText( tr2i18n( "Genre" ) );
    textLabel6->setText( tr2i18n( "Year:" ) );
}

void ExampleOptionsBase::exampleSelectionChanged()
{
    qWarning( "ExampleOptionsBase::exampleSelectionChanged(): Not implemented yet" );
}

void ExampleOptionsBase::exampleDataChanged()
{
    qWarning( "ExampleOptionsBase::exampleDataChanged(): Not implemented yet" );
}

void ExampleOptionsBase::exampleFileChanged()
{
    qWarning( "ExampleOptionsBase::exampleFileChanged(): Not implemented yet" );
}

#include "exampleoptionsbase.moc"
